Bug 601189 - Search not working with IE6
Summary: Search not working with IE6
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: Linux
high
high vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint10-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-07 12:40 UTC by Heiko W. Rupp
Modified: 2010-08-12 16:53 UTC (History)
4 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:53:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to resolve pagination and search execution bugs (5.99 KB, patch)
2010-07-27 15:54 UTC, Joseph Marques
no flags Details | Diff

Description Heiko W. Rupp 2010-06-07 12:40:46 UTC
Search is not working with IE6 6.0.2900.5512.xpsp_sp3_gdr.100216-1514 against Beta1 on RHEL 5.5

Searchbar accepts no input, no "please enter search term" message is shown.

Comment 1 Charles Crouch 2010-06-07 14:31:55 UTC
First off need to determine if this is a problem which impacts all versions of IE, including 7 and 8

Comment 2 Joseph Marques 2010-06-09 10:56:45 UTC
This only impacts IE6.  The issue is documented here -- http://code.google.com/p/google-web-toolkit/issues/detail?id=3608

After injecting one of the fixes discussed in the thread -- http://code.google.com/p/google-web-toolkit/issues/detail?id=3608#c4 -- into MonitoringRequestCallback (such that it executes just before/after each remote GWT service call) the SearchBar loads and all functionality with it works.  However, when the user goes to click the "GO" button to execute the search, a different error bubble up from the SmartGWT layer:

00:00:59.122 [ERROR] 13:31:36.750:WARN:Log:Error: 'Object expected' in http://192.168.0.190:7080/rhq/inventory/browseResources.xhtml?subtab=all&gwt.codesvr=192.168.0.190:9997 at line 83 anonymous()
com.smartgwt.client.core.JsObject$SGWT_WARN: 13:31:36.750:WARN:Log:Error:
	'Object expected'
	in http://192.168.0.190:7080/rhq/inventory/browseResources.xhtml?subtab=all&gwt.codesvr=192.168.0.190:9997
	at line 83
     anonymous()
 	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) 	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39) 	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27) 	at java.lang.reflect.Constructor.newInstance(Constructor.java:513) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:105) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:157) 	at com.google.gwt.dev.shell.BrowserChannel.reactToMessages(BrowserChannel.java:1668) 	at com.google.gwt.dev.shell.BrowserChannelServer.processConnection(BrowserChannelServer.java:401) 	at com.google.gwt.dev.shell.BrowserChannelServer.run(BrowserChannelServer.java:222) 	at java.lang.Thread.run(Thread.java:619)

Comment 3 Greg Hinkle 2010-07-15 13:56:57 UTC
Fixed in release-3.0.0 as of 9338dab

Comment 4 Sudhir D 2010-07-16 08:14:22 UTC
Tested on IE8 for jon-server-2.4.0.GA_QA.zip build# 65. Verified that the search works correctly. 

Marking the bug verified.

Comment 5 Sudhir D 2010-07-16 08:36:11 UTC
Ok, so I just checked on IE 6 (per Heiko's suggestion) and found that the suggestions work, however, when I select the suggestion and click GO, nothing happens. 

Moving it back to ON_DEV

Comment 6 Heiko W. Rupp 2010-07-19 08:52:36 UTC
This is still an issue with IE6 6.0.2900.5512.xpsp_sp3_gdr.100216-1514 but in a different way now.

Search bar displays and also shows suggestions, but when a final term has been selected, 
neither pressing return nor clicking on GO starts the actual search.

The little "error on page" icon is shown

Comment 7 Filip Drabek 2010-07-19 13:42:50 UTC
This is still an issue with IE6 version 6.0.2800.1106 SP1 Win2000.

Comment 8 Charles Crouch 2010-07-20 14:57:44 UTC
Dropping priority, as its not possible to resolve this for the JON 2.4 release

Comment 9 Joseph Marques 2010-07-27 15:54:09 UTC
Created attachment 434736 [details]
patch to resolve pagination and search execution bugs

For IE6, revert back to a standard h:inputText element instead of the new SearchBar (thus, IE6 will not support search suggestions or saved searches).  This eliminates the javascript error bubbling up from the SmartGWT library, which prevents further interaction on the page from succeeding (clicking the go button as well as pagination).

Comment 10 Joseph Marques 2010-07-27 19:53:01 UTC
commit 1fa4fa83c8c3a805a04ca35c2c9586e4675bd903 (release-3.0.0)
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jul 27 15:28:50 2010 -0400

    BZ-616656: BZ-601189: fix searching and pagination on IE6

Comment 11 Heiko W. Rupp 2010-07-28 15:08:45 UTC
Works now on IE6.0.2900.5512.xpsp3_gdr,
as well as on Safari5/OS X, FF3/WinXP
and IE8.0.6001.1870

Comment 12 Corey Welton 2010-07-28 15:10:59 UTC
Re-tested in IE7 for regressions, found none.  QA Verified.

Comment 13 Corey Welton 2010-08-12 16:53:19 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.